Skip to main content

Query parameters

Query parameters are a set of key/value pairs (not case-sensitive):

Commands

Comparison Symbols

“WHERE” clauses can contain the following comparison symbols:
  • :gt: is greater than
  • :ge: is greater than or equal to
  • :lt: is less than
  • :le: is less than or equal to
  • :eq: is equal
  • :ne: is not equal
  • %26 is an AND statement
  • | is an OR statement
  • :sw: is starts with
  • :ew: is ends with
  • :cv: is contains values
  • :nv: is does not contain value
  • :cb: is contained between (two dates for instance) separated by #

getAggregate

“getAggregate” takes in both group and measure with a msgType:
  • Group types can be the following; examples:
    • Numeric Quantile: { "cmd", "getaggregate" }, { "msgtype", "OptionNbboQuote" }, { "group", "bidprice:Q:9" }, { "measure", "bidprice" }
    • Numeric Range: { "cmd", "getaggregate" },{ "msgtype", "OptionNbboQuote" },{ "group", "bidprice:RANGE:3" }, { "measure", "bidprice" }
    • DateTimeRange: { "cmd", "getaggregate" }, { "msgtype", "OptionPrint" },{ "group", $"timestamp:TIMEHIST:3#STARTDATE#ENDDATE" },{ "measure", "prtprice" }
    • String Top N: { "cmd", "getaggregate" }, { "msgtype", "OptionNbboQuote" }, { "group", "bidexch:top:3" }, { "measure", "bidprice|askprice|bidsize|asksize" }
  • You can set measureTypes in group parameters such that: { "cmd", "getaggregate" }, { "msgtype", "OptionNbboQuote" }, { "group", "bidexch:top:3:asksize:max" }, { "measure", "bidprice|askprice|bidsize|asksize"}
Note that measureTypes can be of cnt, min, max, sum, avg